////////////////////////////////////////////////////////////////////////////////
//3456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789
//      10        20        30        40        50        60        70        80
//
// gl-particles
//
// events.h - header for signal-callbacks
//
// Authors/Copyright 2009:
//    Mirco "MacSlow" Müller <macslow@bangang.de>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License version 3, as published
// by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranties of
// MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
// PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program.  If not, see <http://www.gnu.org/licenses/>.
//
////////////////////////////////////////////////////////////////////////////////

#ifndef _EVENTS_H
#define _EVENTS_H

#include <gtk/gtk.h>
#include <gtk/gtkgl.h>

void
on_screen_changed (GtkWidget* widget,
		   GdkScreen* old_screen,
		   gpointer   data);

void
on_window_realize (GtkWidget* widget,
		   gpointer   data);

gboolean
on_window_configure (GtkWidget*         widget,
		     GdkEventConfigure* event,
		     gpointer           data);

gboolean
on_window_expose (GtkWidget*      widget,
		  GdkEventExpose* event);

gboolean
on_delete (GtkWidget* widget,
	   GdkEvent*  event,
	   gpointer   data);

gboolean
draw_handler (GtkWidget* widget);

gboolean
pointer_handler (GtkWidget* widget);

gboolean
on_key_press (GtkWidget*   widget,
	      GdkEventKey* event,
	      gpointer     data);

gboolean
on_button (GtkWidget*      widget,
	   GdkEventButton* event,
	   gpointer        data);

#endif // _EVENTS_H

